Page MenuHomePhabricator

revlog: replace revlog._io.size with a new revlog.index.entry_size
ClosedPublic

Authored by marmoute on Apr 5 2021, 11:49 AM.

Details

Summary

The revlogio class is mostly a relic from the past. Once in charge of the full
revlog related Input/Output code, that class gradually lost responsibilities to
the point where more IO are now done by revlog.index objects or revlog objects
themself. I would like to ultimately remove the revlogio class, to do so I
start simple with move the "entry size" information on the index. (The index is
already responsible of the binary unpacking, so it knows the size.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 5 2021, 11:49 AM
Alphare accepted this revision.Apr 8 2021, 5:58 AM
baymax updated this revision to Diff 26709.Apr 8 2021, 10:29 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 26737.Apr 8 2021, 8:38 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 26772.Apr 9 2021, 8:34 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Mon, Apr 19, 9:38 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.